import { OnInit } from '@angular/core';
import { AngularCircularProgressbarService } from './angular-circular-progressbar.service';
import * as i0 from "@angular/core";
export declare class AngularCircularProgressbarComponent implements OnInit {
    private platform;
    percentage: number;
    radius: number;
    width: any;
    fontSize: number;
    fontFamily: string;
    fontWeight: number;
    textColor: string;
    bgStrokeColor: string;
    bgStrokeWidth: number;
    bgStrokeFill: string;
    progressStrokeColor: string;
    progressStrokeWidth: number;
    progressStrokeFill: string;
    handleRadius: number;
    handleBorderWidth: number;
    handleBorderColor: string;
    handleFillColor: string;
    strokeLinecap: string;
    clockWise: boolean;
    reversedText: boolean;
    defaultShadow: boolean;
    filterValue: string;
    mutedText: string;
    mutedFontSize: number;
    mutedFontFamily: string;
    mutedFontWeight: number;
    mutedTextColor: string;
    responsive: boolean;
    constructor(platform: AngularCircularProgressbarService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularCircularProgressbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularCircularProgressbarComponent, "angular-circular-progressbar", never, { "percentage": "percentage"; "radius": "radius"; "width": "width"; "fontSize": "fontSize"; "fontFamily": "fontFamily"; "fontWeight": "fontWeight"; "textColor": "textColor"; "bgStrokeColor": "bgStrokeColor"; "bgStrokeWidth": "bgStrokeWidth"; "bgStrokeFill": "bgStrokeFill"; "progressStrokeColor": "progressStrokeColor"; "progressStrokeWidth": "progressStrokeWidth"; "progressStrokeFill": "progressStrokeFill"; "handleRadius": "handleRadius"; "handleBorderWidth": "handleBorderWidth"; "handleBorderColor": "handleBorderColor"; "handleFillColor": "handleFillColor"; "strokeLinecap": "strokeLinecap"; "clockWise": "clockWise"; "reversedText": "reversedText"; "defaultShadow": "defaultShadow"; "filterValue": "filterValue"; "mutedText": "mutedText"; "mutedFontSize": "mutedFontSize"; "mutedFontFamily": "mutedFontFamily"; "mutedFontWeight": "mutedFontWeight"; "mutedTextColor": "mutedTextColor"; "responsive": "responsive"; }, {}, never, never, false>;
}
